com.genesyslab.wfm7.API.service.schedule750

## Class SchScenarioAgent

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchScenarioAgent

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioAgent
      extends java.lang.Object
      implements java.io.Serializable

  Scenario Agent information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswAgentId` The ID of the actual agent.
    `private int` | `wmBid` A bid on the profile agent schedule.
    `private int` | `wmPosition` Agent's position based on the ranking system used in the scenario.
    `private int` | `wmProfileAgentId` The ID for the Profile/Virtual Agent.
    `private int` | `wmProfileId` The profile ID of the profile agent.
    `private int` | `wmQuota` Agent preference quota (as a percentage)
    `private int` | `wmSeniority` Agent seniority value
    `private int` | `wmType` Type of agent.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioAgent()`
    `SchScenarioAgent(int wmType, int gswAgentId, int wmProfileAgentId, int wmProfileId, int wmQuota, int wmSeniority, int wmBid, int wmPosition)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchScenarioAgent.
    `int` | `getWmBid()` Gets the wmBid value for this SchScenarioAgent.
    `int` | `getWmPosition()` Gets the wmPosition value for this SchScenarioAgent.
    `int` | `getWmProfileAgentId()` Gets the wmProfileAgentId value for this SchScenarioAgent.
    `int` | `getWmProfileId()` Gets the wmProfileId value for this SchScenarioAgent.
    `int` | `getWmQuota()` Gets the wmQuota value for this SchScenarioAgent.
    `int` | `getWmSeniority()` Gets the wmSeniority value for this SchScenarioAgent.
    `int` | `getWmType()` Gets the wmType value for this SchScenarioAgent.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchScenarioAgent.
    `void` | `setWmBid(int wmBid)` Sets the wmBid value for this SchScenarioAgent.
    `void` | `setWmPosition(int wmPosition)` Sets the wmPosition value for this SchScenarioAgent.
    `void` | `setWmProfileAgentId(int wmProfileAgentId)` Sets the wmProfileAgentId value for this SchScenarioAgent.
    `void` | `setWmProfileId(int wmProfileId)` Sets the wmProfileId value for this SchScenarioAgent.
    `void` | `setWmQuota(int wmQuota)` Sets the wmQuota value for this SchScenarioAgent.
    `void` | `setWmSeniority(int wmSeniority)` Sets the wmSeniority value for this SchScenarioAgent.
    `void` | `setWmType(int wmType)` Sets the wmType value for this SchScenarioAgent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmType

          private int wmType

      Type of agent. `ESchAgentType`

    - #### gswAgentId

          private int gswAgentId

      The ID of the actual agent. It must be non-zero for Actual and Virtual types of agents. For a Virtual agent, it contains the ID of the actual agent used as a profile for the Virtual agent. `CfgAgent`

    - #### wmProfileAgentId

          private int wmProfileAgentId

      The ID for the Profile/Virtual Agent. This ID is auto-generated by Schedule Service and should be used as the agent ID for accessing the profile agent's schedule and the agent's description.

    - #### wmProfileId

          private int wmProfileId

      The profile ID of the profile agent. `CfgProfile`

    - #### wmQuota

          private int wmQuota

      Agent preference quota (as a percentage)

    - #### wmSeniority

          private int wmSeniority

      Agent seniority value

    - #### wmBid

          private int wmBid

      A bid on the profile agent schedule. A zero value stands for 'undefined'. If the profile agent has an actual agent assigned, then the value can be non-zero.

    - #### wmPosition

          private int wmPosition

      Agent's position based on the ranking system used in the scenario. A zero value stands for 'undefined'.

  - ### Constructor Detail

    - #### SchScenarioAgent

          public SchScenarioAgent()

    - #### SchScenarioAgent

          public SchScenarioAgent(int wmType,
                          int gswAgentId,
                          int wmProfileAgentId,
                          int wmProfileId,
                          int wmQuota,
                          int wmSeniority,
                          int wmBid,
                          int wmPosition)

  - ### Method Detail

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this SchScenarioAgent.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this SchScenarioAgent.
      Parameters:
        `wmType` -

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchScenarioAgent.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchScenarioAgent.
      Parameters:
        `gswAgentId` -

    - #### getWmProfileAgentId

          public int getWmProfileAgentId()

      Gets the wmProfileAgentId value for this SchScenarioAgent.
      Returns:
        wmProfileAgentId

    - #### setWmProfileAgentId

          public void setWmProfileAgentId(int wmProfileAgentId)

      Sets the wmProfileAgentId value for this SchScenarioAgent.
      Parameters:
        `wmProfileAgentId` -

    - #### getWmProfileId

          public int getWmProfileId()

      Gets the wmProfileId value for this SchScenarioAgent.
      Returns:
        wmProfileId

    - #### setWmProfileId

          public void setWmProfileId(int wmProfileId)

      Sets the wmProfileId value for this SchScenarioAgent.
      Parameters:
        `wmProfileId` -

    - #### getWmQuota

          public int getWmQuota()

      Gets the wmQuota value for this SchScenarioAgent.
      Returns:
        wmQuota

    - #### setWmQuota

          public void setWmQuota(int wmQuota)

      Sets the wmQuota value for this SchScenarioAgent.
      Parameters:
        `wmQuota` -

    - #### getWmSeniority

          public int getWmSeniority()

      Gets the wmSeniority value for this SchScenarioAgent.
      Returns:
        wmSeniority

    - #### setWmSeniority

          public void setWmSeniority(int wmSeniority)

      Sets the wmSeniority value for this SchScenarioAgent.
      Parameters:
        `wmSeniority` -

    - #### getWmBid

          public int getWmBid()

      Gets the wmBid value for this SchScenarioAgent.
      Returns:
        wmBid

    - #### setWmBid

          public void setWmBid(int wmBid)

      Sets the wmBid value for this SchScenarioAgent.
      Parameters:
        `wmBid` -

    - #### getWmPosition

          public int getWmPosition()

      Gets the wmPosition value for this SchScenarioAgent.
      Returns:
        wmPosition

    - #### setWmPosition

          public void setWmPosition(int wmPosition)

      Sets the wmPosition value for this SchScenarioAgent.
      Parameters:
        `wmPosition` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.